Skip to main content
POST
Resend invitation email

Authorizations

Authorization
string
header
required

OAuth2 Authorization Code flow

Path Parameters

id
string
required

User ID

Response

Invitation resent successfully

object
string
required

Object type

Example:

"page"

id
string
required

Unique identifier

Example:

"p_abc123"

createdAt
string<date-time>
required

Creation timestamp

Example:

"2024-01-15T10:30:00.000Z"

updatedAt
string<date-time>
required

Last update timestamp

Example:

"2024-01-15T14:45:00.000Z"

email
string | null
required

User email address

Example:

"user@example.com"

firstName
string | null
required

User first name

Example:

"John"

lastName
string | null
required

User last name

Example:

"Doe"

name
string | null
required

User full name (virtual, concatenation of firstName + lastName)

Example:

"John Doe"

picture
string | null
required

User profile picture URL

Example:

"https://lh3.googleusercontent.com/a/photo.jpg"

membershipStatus
enum<string>
required

User membership status in the organization

Available options:
active,
waiting_approval,
disabled
Example:

"active"

last_login_at
string<date-time> | null
required

Last login timestamp (null if user has not logged in yet)

Example:

"2025-11-21T19:00:00.000Z"

last_activity_at
string<date-time> | null
required

Last activity timestamp for this organization membership

Example:

"2025-11-21T19:00:00.000Z"

preferences
object | null
required

User preferences

Example:
onboarding
object | null
required

User onboarding state

Example:
orgId
string
required

Organization ID the user belongs to

Example:

"o_abc123"

createdBy
Created by · object

Principal who created this object

Example:
updatedBy
Updated by · object

Principal who last updated this object

Example:
role
string

User role in the organization

Example:

"admin"